Skip to main content
PATCH
/
api
/
payments
/
razorpay
/
{environment}
/
catalog
/
items
/
{itemId}
Update Razorpay Item
curl --request PATCH \
  --url https://api.example.com/api/payments/razorpay/{environment}/catalog/items/{itemId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "active": false
}
'
{
  "item": {
    "itemId": "item_123",
    "name": "Pro monthly",
    "description": "<string>",
    "active": true,
    "amount": 290000,
    "unitAmount": 290000,
    "currency": "inr",
    "type": "invoice",
    "providerCreatedAt": "2023-11-07T05:31:56Z",
    "syncedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live
itemId
string
required

Razorpay item ID.

Minimum string length: 1

Body

application/json
name
string
Required string length: 1 - 255
description
string | null
Maximum string length: 2048
amount
integer
Required range: x >= 1
currency
string
Required string length: 3
Example:

"INR"

active
boolean

Response

Razorpay item updated

item
object
required